#ifndef AIS326_H
#define AIS326_H

#include <stdint.h>

#define OFFSET_X		  0x16
#define OFFSET_Y		  0x17
#define OFFSET_Z		  0x18
#define GAIN_X			  0x19
#define GAIN_Y			  0x1A
#define GAIN_Z			  0x1B
#define CTRL_REG1		  0x20
#define CTRL_REG2		  0x21
#define CTRL_REG3		  0x22
#define STATUS_REG		  0x27
#define OUTX_L			  0x28
#define OUTX_H			  0x29
#define OUTY_L			  0x2A
#define OUTY_H			  0x2B
#define OUTZ_L			  0x2C
#define OUTZ_H			  0x2D
#define FF_WU_CFG		  0x30
#define FF_WU_SRC		  0x31
#define FF_WU_THS_L		  0x34
#define FF_WU_THS_H		  0x35
#define FF_WU_DURATION	  0x36
#define DD_CFG			  0x38
#define DD_SRC			  0x39
#define DD_THSI_L		  0x3C
#define DD_THSI_H		  0x3D
#define DD_THSE_L		  0x3E
#define DD_THSE_H		  0x3F


#define AIS326_READ		(1 << 7)
#define AIS326_WRITE	(0 << 7)
#define AIS326_MULTI	(1 << 6)
#define AIS326_SINGLE	(0 << 6)


#define AX_PD1		7
#define AX_PD0		6
#define AX_DF1		5
#define AX_DF0		4
#define AX_ST		3
#define AX_Zen		2
#define AX_Yen		1
#define AX_Xen		0
#define AX_FS		7
#define AX_BDU		6
#define AX_BLE		5
#define AX_BOOT		4
#define AX_IEN		3
#define AX_DRDY		2
#define AX_SIM		1
#define AX_DAS		0
#define AX_ECK		7
#define AX_HPDD		6
#define AX_HPFF		5
#define AX_FDS		4
#define AX_CFS1		1
#define AX_CFS0		0
#define AX_ZYXOR	7
#define AX_ZOR		6
#define AX_YOR		5
#define AX_XOR		4
#define AX_ZYXDA	3
#define AX_ZDA		2
#define AX_YDA		1
#define AX_XDA		0
#define AX_AOI		7
#define AX_LIR		6
#define AX_ZHIE		5
#define AX_ZLIE		4
#define AX_YHIE		3
#define AX_YLIE		2
#define AX_XHIE		1
#define AX_XLIE		0
#define AX_IA		6
#define AX_ZH		5
#define AX_ZL		4
#define AX_YH		3
#define AX_YL		2
#define AX_XH		1
#define AX_XL		0
#define AX_IEND		7



void ais326_init(void);
uint8_t ais326_read(uint8_t reg);
void ais326_write(uint8_t reg, uint8_t data);
void ais326_read_multi(uint8_t reg, uint8_t *buf, uint8_t num);
void ais326_write_multi(uint8_t reg, uint8_t *buf, uint8_t num);

void ais326_get_xyz(int16_t *xyz);

#endif

