#ifndef AIS326_CONFIG_H
#define AIS326_CONFIG_H

/* *********************
 *    Общие параметры  *
 * *********************/

/* Режим SPI */
#define AIS326_SOFTWARE_SPI 1 // 1 - программный, 0 - аппаратный

/* Подключение вывода CS */
#define AIS326_CS_PORT PORTD
#define AIS326_CS_DDR DDRD
#define AIS326_CS_BIT 0

/* ****************************
 * Параметры аппаратного  SPI *
 * ****************************/

/* Вывод SS МК - всегда выход 
 * (нужно для работы модуля SPI
 * в режиме MASTER) */
#define AIS326_SS_PORT PORTB
#define AIS326_SS_DDR DDRB
#define AIS326_SS_BIT 0

/* ****************************
 * Параметры программного SPI *
 * ****************************/

/* Подключение вывода SDI */
#define AIS326_MOSI_PORT PORTB
#define AIS326_MOSI_DDR DDRB
#define AIS326_MOSI_BIT 5

/* Подключение вывода SDO */
#define AIS326_MISO_PORT PORTD
#define AIS326_MISO_DDR DDRD
#define AIS326_MISO_PIN PIND
#define AIS326_MISO_BIT 3

/* Подключение вывода SPC */
#define AIS326_SCK_PORT PORTD
#define AIS326_SCK_DDR DDRD
#define AIS326_SCK_BIT 1

#endif
